#include <iostream>
using namespace std;

int main()
{
	int N, L, i;
	int a = 2;
	int visineStalaktita[1005];

	cin >> N >> L;
	for (i = 0; i < N; i++) {
		cin >> visineStalaktita[i];
	}
	for (i = 0; i < N; i++) {
		if (L >= visineStalaktita[i]) {
			cout << i + 1;
			a = 1;
			break;
		}
	}
	 if (a != 1) {
		cout << "-1";
			}
		
		}